fdf4cc4d45cdbb0a085de1ef2d043886e7153df6
[releng/global-jjb.git] / jjb-test / expected-xml / github-ciman-jjb-verify
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty>
13       <projectUrl>https://github.com/example-org/releng/ciman</projectUrl>
14     </com.coravy.hudson.plugins.github.GithubProjectProperty>
15     <hudson.model.ParametersDefinitionProperty>
16       <parameterDefinitions>
17         <hudson.model.StringParameterDefinition>
18           <name>PROJECT</name>
19           <description>Parameter to identify a Gerrit project. This is typically the
20 project repo path as exists in Gerrit.
21 For example: ofextensions/circuitsw
22 </description>
23           <defaultValue>releng/ciman</defaultValue>
24         </hudson.model.StringParameterDefinition>
25         <hudson.model.StringParameterDefinition>
26           <name>STREAM</name>
27           <description>Stream is often set to the same name as 'branch' but can
28 sometimes be used as a name representing a project's release code
29 name.
30 </description>
31           <defaultValue>master</defaultValue>
32         </hudson.model.StringParameterDefinition>
33         <hudson.model.StringParameterDefinition>
34           <name>GERRIT_PROJECT</name>
35           <description>Parameter to identify Gerrit project. This is typically the
36 project repo path as exists in Gerrit.
37 For example: ofextensions/circuitsw
38
39 Note that Gerrit will override this parameter automatically if a
40 job is triggered by Gerrit.
41 </description>
42           <defaultValue>releng/ciman</defaultValue>
43         </hudson.model.StringParameterDefinition>
44         <hudson.model.StringParameterDefinition>
45           <name>GERRIT_BRANCH</name>
46           <description>Parameter to identify a Gerrit branch.
47
48 Note that Gerrit will override this parameter automatically if a
49 job is triggered by Gerrit.
50 </description>
51           <defaultValue>master</defaultValue>
52         </hudson.model.StringParameterDefinition>
53         <hudson.model.StringParameterDefinition>
54           <name>GERRIT_REFSPEC</name>
55           <description>Parameter to identify a refspec when pulling from Gerrit.
56
57 Note that Gerrit will override this parameter automatically if a
58 job is triggered by Gerrit.
59 </description>
60           <defaultValue/>
61         </hudson.model.StringParameterDefinition>
62         <hudson.model.StringParameterDefinition>
63           <name>JJB_VERSION</name>
64           <description>Jenkins Job Builder version to download and install.</description>
65           <defaultValue>1.6.2</defaultValue>
66         </hudson.model.StringParameterDefinition>
67       </parameterDefinitions>
68     </hudson.model.ParametersDefinitionProperty>
69   </properties>
70   <scm class="hudson.plugins.git.GitSCM">
71     <configVersion>2</configVersion>
72     <userRemoteConfigs>
73       <hudson.plugins.git.UserRemoteConfig>
74         <name>origin</name>
75         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
76         <url>git@github.com:example-org/releng/ciman</url>
77         <credentialsId>test-credential</credentialsId>
78       </hudson.plugins.git.UserRemoteConfig>
79     </userRemoteConfigs>
80     <branches>
81       <hudson.plugins.git.BranchSpec>
82         <name>**</name>
83       </hudson.plugins.git.BranchSpec>
84     </branches>
85     <excludedUsers/>
86     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
87     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
88     <authorOrCommitter>false</authorOrCommitter>
89     <wipeOutWorkspace>true</wipeOutWorkspace>
90     <pruneBranches>false</pruneBranches>
91     <remotePoll>false</remotePoll>
92     <gitTool>Default</gitTool>
93     <submoduleCfg class="list"/>
94     <relativeTargetDir/>
95     <reference/>
96     <gitConfigName/>
97     <gitConfigEmail/>
98     <skipTag>true</skipTag>
99     <scmName/>
100     <useShallowClone>false</useShallowClone>
101     <ignoreNotifyCommit>false</ignoreNotifyCommit>
102     <extensions>
103       <hudson.plugins.git.extensions.impl.SubmoduleOption>
104         <disableSubmodules>false</disableSubmodules>
105         <recursiveSubmodules>true</recursiveSubmodules>
106         <trackingSubmodules>false</trackingSubmodules>
107         <reference/>
108         <timeout>10</timeout>
109       </hudson.plugins.git.extensions.impl.SubmoduleOption>
110       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
111     </extensions>
112   </scm>
113   <triggers class="vector">
114     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
115       <spec/>
116       <adminlist/>
117       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
118       <whitelist/>
119       <orgslist/>
120       <cron/>
121       <triggerPhrase>^recheck$</triggerPhrase>
122       <onlyTriggerPhrase>false</onlyTriggerPhrase>
123       <useGitHubHooks>true</useGitHubHooks>
124       <permitAll>true</permitAll>
125       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
126       <extensions>
127         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
128           <commitStatusContext>JJB Verify</commitStatusContext>
129         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
130       </extensions>
131     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
132   </triggers>
133   <builders>
134     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
135       <managedFiles>
136         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
137           <fileId>jjbini</fileId>
138           <targetLocation>$HOME/.config/jenkins_jobs/jenkins_jobs.ini</targetLocation>
139           <variable/>
140         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
141       </managedFiles>
142     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
143     <hudson.tasks.Shell>
144       <command>#!/bin/bash
145 # SPDX-License-Identifier: EPL-1.0
146 ##############################################################################
147 # Copyright (c) 2017 The Linux Foundation and others.
148 #
149 # All rights reserved. This program and the accompanying materials
150 # are made available under the terms of the Eclipse Public License v1.0
151 # which accompanies this distribution, and is available at
152 # http://www.eclipse.org/legal/epl-v10.html
153 ##############################################################################
154
155 # This script will make sure that there are no JIRA URLs in the commit
156 # message. JIRA URLs will break the its-jira plugin
157
158 # Ensure we fail the job if any steps fail.
159 # Do not treat undefined variables as errors as in this case we are allowed
160 # to have JIRA_URL undefined
161 set -e -o pipefail
162 set +u
163
164 if [ -n &quot;${JIRA_URL}&quot; ];
165 then
166   BASE_URL=$(echo $JIRA_URL | awk -F'/' '{print $3}')
167   JIRA_LINK=$(git rev-list --format=%B --max-count=1 HEAD | grep -io &quot;http[s]*://$BASE_URL/&quot; || true)
168   if [[ ! -z &quot;$JIRA_LINK&quot; ]]
169   then
170     echo 'Remove JIRA URLs from commit message'
171     echo 'Add jira references as: Issue: &lt;JIRAKEY&gt;-&lt;ISSUE#&gt;, instead of URLs'
172     exit 1
173   fi
174 fi
175
176 #!/bin/bash
177 # SPDX-License-Identifier: EPL-1.0
178 ##############################################################################
179 # Copyright (c) 2017 The Linux Foundation and others.
180 #
181 # All rights reserved. This program and the accompanying materials
182 # are made available under the terms of the Eclipse Public License v1.0
183 # which accompanies this distribution, and is available at
184 # http://www.eclipse.org/legal/epl-v10.html
185 ##############################################################################
186 echo &quot;---&gt; jjb-install.sh&quot;
187
188 # Ensure we fail the job if any steps fail.
189 # DO NOT set -u as virtualenv's activate script has unbound variables
190 set -e -o pipefail
191
192 virtualenv &quot;/tmp/v/jjb&quot;
193 # shellcheck source=/tmp/v/jjb/bin/activate disable=SC1091
194 source &quot;/tmp/v/jjb/bin/activate&quot;
195 pip install --quiet --upgrade pip
196 pip install --quiet --upgrade pipdeptree
197 pip install --quiet --upgrade &quot;jenkins-job-builder==$JJB_VERSION&quot;
198
199 echo &quot;----&gt; Pip Dependency Tree&quot;
200 pipdeptree
201
202 #!/bin/bash
203 # SPDX-License-Identifier: EPL-1.0
204 ##############################################################################
205 # Copyright (c) 2017 The Linux Foundation and others.
206 #
207 # All rights reserved. This program and the accompanying materials
208 # are made available under the terms of the Eclipse Public License v1.0
209 # which accompanies this distribution, and is available at
210 # http://www.eclipse.org/legal/epl-v10.html
211 ##############################################################################
212 echo &quot;---&gt; jjb-verify-job.sh&quot;
213
214 # Ensure we fail the job if any steps fail.
215 set -eu -o pipefail
216
217 jenkins-jobs -l DEBUG test --recursive -o archives/job-configs --exclude jjb-test jjb
218
219 # Sort job output into sub-directories. On large Jenkins systems that have
220 # many jobs archiving so many files into the same directory makes NGINX return
221 # the directory list slow.
222 pushd archives/job-configs
223 for letter in {a..z}
224 do
225     if [[ $(ls &quot;$letter&quot;* &gt; /dev/null 2&gt;&amp;1) -eq 0 ]]
226     then
227         mkdir &quot;$letter&quot;
228         find . -maxdepth 1 -type f -name &quot;$letter*&quot; -exec mv {} &quot;$letter&quot; \;
229     fi
230 done
231 popd
232
233 #!/bin/bash
234 # SPDX-License-Identifier: EPL-1.0
235 ##############################################################################
236 # Copyright (c) 2015 The Linux Foundation and others.
237 #
238 # All rights reserved. This program and the accompanying materials
239 # are made available under the terms of the Eclipse Public License v1.0
240 # which accompanies this distribution, and is available at
241 # http://www.eclipse.org/legal/epl-v10.html
242 ##############################################################################
243 echo &quot;---&gt; jjb-check-unicode.sh&quot;
244
245 if LC_ALL=C grep -r '[^[:print:][:space:]]' jjb/; then
246     echo &quot;Found files containing non-ascii characters.&quot;
247     exit 1
248 fi
249
250 echo &quot;All files are ASCII only&quot;
251 </command>
252     </hudson.tasks.Shell>
253     <hudson.tasks.Shell>
254       <command>#!/bin/bash
255 # SPDX-License-Identifier: EPL-1.0
256 ##############################################################################
257 # Copyright (c) 2016 The Linux Foundation and others.
258 #
259 # All rights reserved. This program and the accompanying materials
260 # are made available under the terms of the Eclipse Public License v1.0
261 # which accompanies this distribution, and is available at
262 # http://www.eclipse.org/legal/epl-v10.html
263 ##############################################################################
264 echo &quot;---&gt; gpg-verify-git-signature.sh&quot;
265
266 if git log --show-signature -1 | grep -E -q 'gpg: Signature made.*key ID'; then
267    echo &quot;Git commit is GPG signed.&quot;
268 else
269    echo &quot;WARNING: GPG signature missing for the commit.&quot;
270 fi
271
272 # Do NOT fail the job for unsigned commits
273 exit 0
274 </command>
275     </hudson.tasks.Shell>
276   </builders>
277   <publishers>
278     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
279       <buildSteps>
280         <hudson.tasks.Shell>
281           <command>#!/bin/bash
282 # SPDX-License-Identifier: EPL-1.0
283 ##############################################################################
284 # Copyright (c) 2017 The Linux Foundation and others.
285 #
286 # All rights reserved. This program and the accompanying materials
287 # are made available under the terms of the Eclipse Public License v1.0
288 # which accompanies this distribution, and is available at
289 # http://www.eclipse.org/legal/epl-v10.html
290 ##############################################################################
291 echo &quot;---&gt; sysstat.sh&quot;
292 set +e  # DON'T fail build if script fails.
293
294 OS=$(facter operatingsystem)
295 case &quot;$OS&quot; in
296     Ubuntu)
297         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
298
299         # Dont run the script when systat is not enabled by default
300         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
301             exit 0
302         fi
303     ;;
304     CentOS|RedHat)
305         SYSSTAT_PATH=&quot;/var/log/sa&quot;
306     ;;
307     *)
308         # nothing to do
309         exit 0
310     ;;
311 esac
312
313 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
314 mkdir -p &quot;$SAR_DIR&quot;
315 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
316 # convert sar data to ascii format
317 while IFS=&quot;&quot; read -r s
318 do
319     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
320 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
321
322 # DON'T fail build if script fails.
323 exit 0
324 </command>
325         </hudson.tasks.Shell>
326         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
327           <managedFiles>
328             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
329               <fileId>jenkins-log-archives-settings</fileId>
330               <targetLocation/>
331               <variable>SETTINGS_FILE</variable>
332             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
333           </managedFiles>
334         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
335         <EnvInjectBuilder>
336           <info>
337             <propertiesContent>SERVER_ID=logs</propertiesContent>
338           </info>
339         </EnvInjectBuilder>
340         <hudson.tasks.Shell>
341           <command>#!/bin/bash
342 # SPDX-License-Identifier: EPL-1.0
343 ##############################################################################
344 # Copyright (c) 2017 The Linux Foundation and others.
345 #
346 # All rights reserved. This program and the accompanying materials
347 # are made available under the terms of the Eclipse Public License v1.0
348 # which accompanies this distribution, and is available at
349 # http://www.eclipse.org/legal/epl-v10.html
350 ##############################################################################
351 echo &quot;---&gt; create-netrc.sh&quot;
352
353 # Ensure we fail the job if any steps fail.
354 set -eu -o pipefail
355
356 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
357 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
358     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
359     -v x:username -o &quot;:&quot; -v x:password \
360     &quot;$SETTINGS_FILE&quot;)
361
362 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
363 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
364 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
365
366 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
367 </command>
368         </hudson.tasks.Shell>
369         <hudson.tasks.Shell>
370           <command>#!/bin/bash
371 # SPDX-License-Identifier: EPL-1.0
372 ##############################################################################
373 # Copyright (c) 2017 The Linux Foundation and others.
374 #
375 # All rights reserved. This program and the accompanying materials
376 # are made available under the terms of the Eclipse Public License v1.0
377 # which accompanies this distribution, and is available at
378 # http://www.eclipse.org/legal/epl-v10.html
379 ##############################################################################
380 echo &quot;---&gt; lftools-install.sh&quot;
381
382 # By default a released version of lftools should always be used.
383 # The purpose of the 2 variables below is so that lftools devs can test
384 # unreleased versions of lftools. There are 2 methods to install a dev version
385 # of lftools:
386 #
387 #     1) gerrit patch: Used to test a patch that has not yet been merged.
388 #                      To do this set something like this:
389 #                          LFTOOLS_MODE=gerrit
390 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
391 #
392 #     2) git branch: Used to install an lftools version from a specific branch.
393 #                    To use this set the variables as follows:
394 #                          LFTOOLS_MODE=git
395 #                          LFTOOLS_REFSPEC=master
396 #
397 #     3) release : The intended use case and default setting.
398 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
399
400 LFTOOLS_MODE=release  # release | git | gerrit
401 LFTOOLS_REFSPEC=master
402
403 # Ensure we fail the job if any steps fail.
404 # DO NOT set -u as virtualenv's activate script has unbound variables
405 set -e -o pipefail
406
407 virtualenv --quiet &quot;/tmp/v/lftools&quot;
408 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
409 source &quot;/tmp/v/lftools/bin/activate&quot;
410 pip install --quiet --upgrade pip
411
412 case $LFTOOLS_MODE in
413     gerrit)
414         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
415         pushd /tmp/lftools
416         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
417         git checkout FETCH_HEAD
418         pip install --quiet --upgrade -r requirements.txt
419         pip install --quiet --upgrade -e .
420         popd
421         ;;
422
423     git)
424         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
425         ;;
426
427     release)
428         pip install --quiet --upgrade &quot;lftools&lt;1.0.0&quot;
429         ;;
430 esac
431
432 # pipdeptree prints out a lot of information because lftools pulls in many
433 # dependencies. Let's only print it if we want to debug.
434 # echo &quot;----&gt; Pip Dependency Tree&quot;
435 # pip install --quiet --upgrade pipdeptree
436 # pipdeptree
437
438 #!/bin/bash
439 # SPDX-License-Identifier: EPL-1.0
440 ##############################################################################
441 # Copyright (c) 2017 The Linux Foundation and others.
442 #
443 # All rights reserved. This program and the accompanying materials
444 # are made available under the terms of the Eclipse Public License v1.0
445 # which accompanies this distribution, and is available at
446 # http://www.eclipse.org/legal/epl-v10.html
447 ##############################################################################
448 echo &quot;---&gt; logs-deploy.sh&quot;
449
450 # Ensure we fail the job if any steps fail.
451 set -eu -o pipefail
452
453 set -x  # Trace commands for this script to make debugging easier.
454
455 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
456 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
457
458 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
459 then
460     set +x # Disable trace since we no longer need it
461
462     echo &quot;WARNING: Logging server not set&quot;
463 else
464     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
465     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
466     BUILD_URL=&quot;${BUILD_URL}&quot;
467
468     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
469     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
470
471     set +x  # Disable trace since we no longer need it.
472
473     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
474 fi
475 </command>
476         </hudson.tasks.Shell>
477         <hudson.tasks.Shell>
478           <command>#!/bin/bash
479 # SPDX-License-Identifier: EPL-1.0
480 ##############################################################################
481 # Copyright (c) 2017 The Linux Foundation and others.
482 #
483 # All rights reserved. This program and the accompanying materials
484 # are made available under the terms of the Eclipse Public License v1.0
485 # which accompanies this distribution, and is available at
486 # http://www.eclipse.org/legal/epl-v10.html
487 ##############################################################################
488
489 # Clear log credential files
490 rm &quot;$SETTINGS_FILE&quot;
491 rm ~/.netrc
492 </command>
493         </hudson.tasks.Shell>
494         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
495           <regexp>^Build logs: .*</regexp>
496         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
497       </buildSteps>
498       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
499       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
500       <markBuildUnstable>false</markBuildUnstable>
501     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
502     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
503       <patterns>
504         <hudson.plugins.ws__cleanup.Pattern>
505           <pattern>**/*.jenkins-trigger</pattern>
506           <type>EXCLUDE</type>
507         </hudson.plugins.ws__cleanup.Pattern>
508       </patterns>
509       <deleteDirs>false</deleteDirs>
510       <cleanupMatrixParent>false</cleanupMatrixParent>
511       <externalDelete/>
512       <cleanWhenSuccess>true</cleanWhenSuccess>
513       <cleanWhenUnstable>true</cleanWhenUnstable>
514       <cleanWhenFailure>true</cleanWhenFailure>
515       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
516       <cleanWhenAborted>true</cleanWhenAborted>
517       <notFailBuild>true</notFailBuild>
518     </hudson.plugins.ws__cleanup.WsCleanup>
519   </publishers>
520   <buildWrappers>
521     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
522     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
523       <timeoutMinutes>10</timeoutMinutes>
524       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
525       <failBuild>true</failBuild>
526       <writingDescription>false</writingDescription>
527       <timeoutPercentage>0</timeoutPercentage>
528       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
529       <timeoutType>absolute</timeoutType>
530     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
531     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
532     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
533       <user>test-credential</user>
534     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
535     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
536   </buildWrappers>
537 </project>